ubuntu-location-service: com::ubuntu::location::UpdateSelector Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::UpdateSelector Class Referenceabstract

`#include <update_selector.h>`

Inheritance diagram for com::ubuntu::location::UpdateSelector:
Collaboration diagram for com::ubuntu::location::UpdateSelector:

## Public Types
typedef std::shared_ptr< UpdateSelector > | Ptr

## Public Member Functions
| UpdateSelector (const UpdateSelector &)=delete
UpdateSelector & | operator= (const UpdateSelector &)=delete
virtual | ~UpdateSelector ()=default
virtual WithSource< Update< Position > > | select (const WithSource< Update< Position >> &older, const WithSource< Update< Position >> &newer)=0

## Protected Member Functions
| UpdateSelector ()=default

## Detailed Description

Definition at line 34 of file update_selector.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<UpdateSelector> com::ubuntu::location::UpdateSelector::Ptr

Definition at line 37 of file update_selector.h.

## Constructor & Destructor Documentation

## ◆ UpdateSelector() [1/2]

com::ubuntu::location::UpdateSelector::UpdateSelector | ( | const UpdateSelector & |  | ) |
| delete

## ◆ ~UpdateSelector()

virtual com::ubuntu::location::UpdateSelector::~UpdateSelector | ( |  | ) |
| virtualdefault

## ◆ UpdateSelector() [2/2]

com::ubuntu::location::UpdateSelector::UpdateSelector | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ operator=()

UpdateSelector& com::ubuntu::location::UpdateSelector::operator= | ( | const UpdateSelector & |  | ) |
| delete

## ◆ select()

virtual WithSource<Update<Position> > com::ubuntu::location::UpdateSelector::select | ( | const WithSource< Update< Position >> & | older,
|  | const WithSource< Update< Position >> & | newer
| ) |  |
| pure virtual

Implemented in com::ubuntu::location::NewerUpdateSelector, and com::ubuntu::location::NewerOrMoreAccurateUpdateSelector.

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/update_selector.h